libdvbv5: dvb_mpeg_es_seq_start Struct Reference

libdvbv5 1.28.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_mpeg_es_seq_start Struct Reference
Digital TV table parsing

MPEG ES Sequence header. More...

`#include <mpeg_es.h>`

## Data Fields
union { |
uint32_t bitfield |
struct { |
uint32_t type:8 |
uint32_t sync:24 |
} |  |
}; |  |
union { |
uint32_t bitfield2 |
struct { |
uint32_t framerate:4 |
uint32_t aspect:4 |
uint32_t height:12 |
uint32_t width:12 |
} |  |
}; |  |
union { |
uint32_t bitfield3 |
struct { |
uint32_t qm_nonintra:1 |
uint32_t qm_intra:1 |
uint32_t constrained:1 |
uint32_t vbv:10 |
uint32_t one:1 |
uint32_t bitrate:18 |
} |  |
}; |  |

## Detailed Description

MPEG ES Sequence header.

Parameters

  type | DVB_MPEG_ES_SEQ_START
  sync | Sync bytes
  framerate | Framerate
  aspect | Aspect ratio
  height | Height
  width | Width
  qm_nonintra | Load non-intra quantizer matrix
  qm_intra | Load intra quantizer matrix
  constrained | Constrained parameters flag
  vbv | VBV buffer size
  one | Should be 1
  bitrate | Bitrate

Definition at line 88 of file mpeg_es.h.

## Field Documentation

## ◆ [union]

union { ... } dvb_mpeg_es_seq_start

## ◆ [union]

union { ... } dvb_mpeg_es_seq_start

## ◆ [union]

union { ... } dvb_mpeg_es_seq_start

## ◆ aspect

uint32_t dvb_mpeg_es_seq_start::aspect

Definition at line 100 of file mpeg_es.h.

## ◆ bitfield

uint32_t dvb_mpeg_es_seq_start::bitfield

Definition at line 90 of file mpeg_es.h.

## ◆ bitfield2

uint32_t dvb_mpeg_es_seq_start::bitfield2

Definition at line 97 of file mpeg_es.h.

## ◆ bitfield3

uint32_t dvb_mpeg_es_seq_start::bitfield3

Definition at line 106 of file mpeg_es.h.

## ◆ bitrate

uint32_t dvb_mpeg_es_seq_start::bitrate

Definition at line 113 of file mpeg_es.h.

## ◆ constrained

uint32_t dvb_mpeg_es_seq_start::constrained

Definition at line 110 of file mpeg_es.h.

## ◆ framerate

uint32_t dvb_mpeg_es_seq_start::framerate

Definition at line 99 of file mpeg_es.h.

## ◆ height

uint32_t dvb_mpeg_es_seq_start::height

Definition at line 101 of file mpeg_es.h.

## ◆ one

uint32_t dvb_mpeg_es_seq_start::one

Definition at line 112 of file mpeg_es.h.

## ◆ qm_intra

uint32_t dvb_mpeg_es_seq_start::qm_intra

Definition at line 109 of file mpeg_es.h.

## ◆ qm_nonintra

uint32_t dvb_mpeg_es_seq_start::qm_nonintra

Definition at line 108 of file mpeg_es.h.

## ◆ sync

uint32_t dvb_mpeg_es_seq_start::sync

Definition at line 93 of file mpeg_es.h.

## ◆ type

uint32_t dvb_mpeg_es_seq_start::type

Definition at line 92 of file mpeg_es.h.

## ◆ vbv

uint32_t dvb_mpeg_es_seq_start::vbv

Definition at line 111 of file mpeg_es.h.

## ◆ width

uint32_t dvb_mpeg_es_seq_start::width

Definition at line 102 of file mpeg_es.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/mpeg_es.h